## boinor 0.18.7

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
SRCDIR        = source
EXAMPLESDIR   = examples
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SRCDIR)
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SRCDIR)

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  examples   to make Jupyter notebook examples from *.md"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
# pdflatex has problems to deal with UniCode characters like the one for pi
# so using xelatex now
#	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
#	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  xelatexpdf to make LaTex Files and run them through xelatex (better with Unicode handling)"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/* $(SRCDIR)/$(EXAMPLESDIR)/*.ipynb

examples:
	@echo "Building Jupyter notebook examples..."
	cd $(SRCDIR)/$(EXAMPLESDIR) && jupytext --to ipynb --execute *.mystnb
	@echo "Finished!"

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/boinor.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/boinor.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/boinor"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/boinor"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	@echo "due to handling of UniCode characters pdflatex is deprecated now"
	@echo "better use xelatex with target xelatexpdf"
#	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
#	@echo "Running LaTeX files through pdflatex..."
#	$(MAKE) -C $(BUILDDIR)/latex all-pdf
#	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	@echo "due to handling of UniCode characters pdflatex is deprecated now"
	@echo "better use xelatex with target xelatexpdf"
#	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
#	@echo "Running LaTeX files through platex and dvipdfmx..."
#	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
#	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

xelatexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through xelatexpdf..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "xelatex finished; the PDF files are in $(BUILDDIR)/latex."


text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
boinor (0.18.7-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 26 Jul 2025 23:32:24 +0200

=== debian/control ===
Source: boinor
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               flit (>= 3.2),
               pybuild-plugin-pyproject,
               python3-all,
               python3-astropy,
               python3-astroquery,
               python3-bs4,
               python3-erfa,
               python3-matplotlib,
               python3-numba,
               python3-numpy,
               python3-pandas,
               python3-plotly (>= 4~),
               python3-pytest,
               python3-pytest-doctestplus,
               python3-pytest-remotedata,
               python3-requests,
               python3-scipy,
               python3-setuptools
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian-astro-team/boinor
Vcs-Git: https://salsa.debian.org/debian-astro-team/boinor.git
Homepage: https://github.com/boinor/boinor
Rules-Requires-Root: no

Package: python3-boinor
Architecture: all
Depends: python3-astropy,
         python3-astroquery,
         python3-erfa,
         python3-matplotlib,
         python3-numba,
         python3-numpy,
         python3-pandas,
         python3-plotly,
         python3-scipy,
         ${misc:Depends},
         ${python3:Depends}
Description: Astrodynamics and Orbital Mechanics computations
 Boinor is an open source pure Python package dedicated to problems
 arising in Astrodynamics and Orbital Mechanics, such as orbit
 propagation, solution of the Lambert's problem, conversion between
 position and velocity vectors and classical orbital elements and
 orbit plotting, focusing on interplanetary applications
 .
 Boinor is a fork of poliastro.

=== debian/tests/control ===
Test-Command: MPLBACKEND=agg python3 -m pytest -m "not slow" tests
Depends: python3-boinor, python3-pytest
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/boinor-$1\.tar\.gz/ \
  https://github.com/boinor/boinor/tags .*/v?(\d\S+)\.tar\.gz debian uupdate

## boinor 0.19.0

=== Makefile ===
DOCKER_BASE_IMAGE := "boinor:dev"
DOCKER_CONTAINER_NAME := "boinor-dev"


image: Dockerfile pyproject.toml
	docker build \
	  -t boinor:dev \
	  .

docker:
	docker run \
	  -it \
	  --rm \
	  --name ${DOCKER_CONTAINER_NAME} \
	  --volume $(shell pwd):/code \
	  --user $(shell id -u):$(shell id -g) \
	  ${DOCKER_BASE_IMAGE} \
          bash

.PHONY: docker image

=== debian/changelog ===
boinor (0.19.0-2) unstable; urgency=medium

  * debian/control: add dependency python3-hypothesis due to changed
                    dependencies of python3-astropy
                    (added to debian/tests/control as well)
                    (Thanks a lot to Ole Streicher for the patch)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 19 Oct 2025 19:30:31 +0200

boinor (0.19.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 04 Sep 2025 18:30:31 +0200

boinor (0.18.7-2) unstable; urgency=medium

  * source upload

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 04 Aug 2025 23:32:24 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                python3-astroquery,
                python3-bs4,
                python3-erfa,
+               python3-hypothesis,
                python3-matplotlib,
                python3-numba,
                python3-numpy,

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	HOME=`pwd` MPLBACKEND=agg PYTHONPATH=`pwd`/src python3 -m pytest -v -m "not slow" tests
endif

=== debian/tests/control ===
Test-Command: MPLBACKEND=agg python3 -m pytest -m "not slow" tests
Depends: python3-boinor, python3-pytest, python3-hypothesis
Restrictions: allow-stderr
